Subject: Re: interesting line in process.c

From: Dan Malek <[email-masked]>
Date: Mon, 15 Oct 2001 11:54:15 -0400

Edward Swarthout wrote:

> I would suggest ppc do the same thing and define a single debug array
> in thread_struct which contains the processor specific debug registers
> needed to support gdb's use of hardware breakpoints.

So, gdb has knowledge of hardware breakpoints and knows how to use
them across the different processors?  I would ask we consider using
a standard breakpoint interface to the kernel and allow the kernel
to implement the breakpoints as it desires.  It seems having this
knowledge and synchronizing the necessary information across the
interface could be challenging.

	-- Dan

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/